Bug 134186 - the Security Level Configuration Tool freezes
the Security Level Configuration Tool freezes
Status: CLOSED DUPLICATE of bug 134035
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: im-sdk (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-09-29 22:37 EDT by L3support
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:06:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description L3support 2004-09-29 22:37:42 EDT
Description of problem:
Right after we start up the Security Level Configuration Tool in order
to change the security level of our system, the application freezes.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.4.3-1

How reproducible:
always

Steps to Reproduce:
1. start the Security Level Configuration Tool
- select Main Menu Button (on the Panel) => System Settings =>
Security Level 
or 
- type the following command from a shell prompt in a GNOME terminal
 # system-config-securitylevel

Actual results:
The application freezes.

Expected results:
The application do not freeze, and you can change the security level
of your system.

Additional info:
When the application freezed, we got the following message in
/var/log/messages.
----------
Sep 28 14:54:34 <hostname> kernel: htt_xbe(7382): unaligned access to
0x60000000000266bc, ip=0x20000000002e1770
----------
It seems that the above syslog message relates to this phenomenon.
Comment 1 Paul Nasrat 2004-09-30 02:49:55 EDT
Please disable iimf and retest - that looks to me as if it's a bug in
iimf (the htt_xbe daemon is unrelated to s-c-securitylevel).  

Switch to runlevel 3

/etc/init.d/iimf stop
LANG=C startx
open a terminal and
LANG=C system-config-securitylevel

If no freeze occurs, restart iimf, LANG=C startx and try:

LANG=C system config-security-level

Let me know if it freezes with that. 

Please give the version of iimf-server iimf-x and the kernel as well.
Comment 2 Paul Nasrat 2004-09-30 02:51:54 EDT
Please note I mean iiimf and iiimf-server and iiimf-x
Comment 3 L3support 2004-10-04 05:26:32 EDT
Hi,

I'm very sorry to be late.

I tried your recommendation, and no freeze occured in the case of
"LANG=C".
But in the case of "LANG=ja_JP.UTF-8", the application freezed.
The detail is as follows.

==========
1. disable iiim (LANG=C)
 # /etc/init.d/iiim stop
 # startx
Open a gnome-terminal.
 # export LANG=C
 # system-config-securitylevel

No freeze occurs.

2. enable iiim (LANG=C)
 # /etc/init.d/iiim start
 # startx
Open a gnome-terminal.
 # export LANG=C
 # system-config-securitylevel

No freeze occurs.

3. LANG=ja_JP.UTF-8 (whether iiim is disabled or not)
 # startx
Open a gnome-terminal.
 # echo $LANG
 ja_JP.UTF-8
 # system-config-securitylevel

The application freezes with the following message in /var/log/messages.
-----
Oct  4 15:56:08 <hostname> kernel: htt_xbe(18374): 
unaligned access to 0x60000000000266bc, ip=0x20000000002e1770
-----
==========

And the version of the related packages is as follows, 
----------
iiimf-server-12.0.1-3.svn1891
iiimf-x-12.0.1-3.svn1891
kernel-2.6.8-1.528.2.10
----------


Best regards.
Comment 4 Paul Nasrat 2004-10-04 06:51:38 EDT
Reassigning to iiimf source component im-sdk.
Comment 6 L3support 2004-10-06 06:50:46 EDT
Hi,

What information do you need? Current status is 'NEEDINFO', though. 

Regards,
Comment 7 Jens Petersen 2004-10-06 07:54:05 EDT
Is it possible you could try the latest im-sdk build
in testing now: currently it is iiimf-*-12.0.1-12.svn1943.
They contain some 64bit fixes amongst other things.
Comment 8 L3support 2004-10-07 06:26:40 EDT
Hi,

Thanks. I'll try your advice later.

Has 'iiimf-*-12.0.1-12.svn1943' been already released?
And, Do you think the following only two packages relate to this problem?
-----
iiimf-server-12.0.1-3.svn1891
iiimf-x-12.0.1-3.svn1891
-----

Best regards,
Comment 9 Paul Nasrat 2004-10-07 06:33:53 EDT
Check in the development repo:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/ia64/Fedora/RPMS/
Comment 10 L3support 2004-10-08 01:01:16 EDT
Hi,

Thank you for your kindness.
I will check it.

Regards,
Comment 11 L3support 2004-10-14 22:45:08 EDT
Hi,

I'm sorry to be late.

I update the current "iiimf-*" version to "12.0.1-13.svn1943".

And no freeze occurs when I execute the following command on a
gnome-terminal.
# system-config-securitylevel

The problem seems to be fixed in the latest "iiimf-*" version. Thanks.

By the way, is the fixed "iiimf-*" version included in the next RHEL4
release, beta2?

Best regards,
Comment 12 Yu Shao 2004-10-18 22:46:41 EDT

*** This bug has been marked as a duplicate of 134035 ***
Comment 13 Leon Ho 2004-10-18 23:05:19 EDT
To answer your question: Yup, the fixed iiimf will be in RHEL4 B2.
Thanks for the bug and testing!
Comment 14 Red Hat Bugzilla 2006-02-21 14:06:02 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.